image: atlassian/default-image:latest

pipelines:
  branches:
    main:
      - step:
          name: Deploy a EC2
          script:
            - echo "Deploying to EC2"
            - ssh -o StrictHostKeyChecking=no root@18.209.170.41 "cd /home/appmechanicasist/public_html && git pull origin main && php artisan migrate --force && composer install" 
            